# -*- encoding: utf-8 -*-
# stub: cucumber-cucumber-expressions 14.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "cucumber-cucumber-expressions".freeze
  s.version = "14.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/cucumber/cucumber/issues", "changelog_uri" => "https://github.com/cucumber/common/blob/main/cucumber-expressions/CHANGELOG.md", "documentation_uri" => "https://cucumber.io/docs/cucumber/cucumber-expressions/", "mailing_list_uri" => "https://groups.google.com/forum/#!forum/cukes", "source_code_uri" => "https://github.com/cucumber/common/blob/main/cucumber-expressions/ruby" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Aslak Helles\u00F8y".freeze]
  s.date = "2021-10-12"
  s.description = "Cucumber Expressions - a simpler alternative to Regular Expressions".freeze
  s.email = "cukes@googlegroups.com".freeze
  s.files = [".rspec".freeze, "Gemfile".freeze, "LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "VERSION".freeze, "cucumber-cucumber-expressions.gemspec".freeze, "lib/cucumber/cucumber_expressions/argument.rb".freeze, "lib/cucumber/cucumber_expressions/ast.rb".freeze, "lib/cucumber/cucumber_expressions/combinatorial_generated_expression_factory.rb".freeze, "lib/cucumber/cucumber_expressions/cucumber_expression.rb".freeze, "lib/cucumber/cucumber_expressions/cucumber_expression_generator.rb".freeze, "lib/cucumber/cucumber_expressions/cucumber_expression_parser.rb".freeze, "lib/cucumber/cucumber_expressions/cucumber_expression_tokenizer.rb".freeze, "lib/cucumber/cucumber_expressions/errors.rb".freeze, "lib/cucumber/cucumber_expressions/expression_factory.rb".freeze, "lib/cucumber/cucumber_expressions/generated_expression.rb".freeze, "lib/cucumber/cucumber_expressions/group.rb".freeze, "lib/cucumber/cucumber_expressions/group_builder.rb".freeze, "lib/cucumber/cucumber_expressions/parameter_type.rb".freeze, "lib/cucumber/cucumber_expressions/parameter_type_matcher.rb".freeze, "lib/cucumber/cucumber_expressions/parameter_type_registry.rb".freeze, "lib/cucumber/cucumber_expressions/regular_expression.rb".freeze, "lib/cucumber/cucumber_expressions/tree_regexp.rb".freeze, "scripts/update-gemspec".freeze, "spec/capture_warnings.rb".freeze, "spec/cucumber/cucumber_expressions/argument_spec.rb".freeze, "spec/cucumber/cucumber_expressions/combinatorial_generated_expression_factory_test.rb".freeze, "spec/cucumber/cucumber_expressions/cucumber_expression_generator_spec.rb".freeze, "spec/cucumber/cucumber_expressions/cucumber_expression_parser_spec.rb".freeze, "spec/cucumber/cucumber_expressions/cucumber_expression_spec.rb".freeze, "spec/cucumber/cucumber_expressions/cucumber_expression_tokenizer_spec.rb".freeze, "spec/cucumber/cucumber_expressions/custom_parameter_type_spec.rb".freeze, "spec/cucumber/cucumber_expressions/expression_factory_spec.rb".freeze, "spec/cucumber/cucumber_expressions/parameter_type_registry_spec.rb".freeze, "spec/cucumber/cucumber_expressions/parameter_type_spec.rb".freeze, "spec/cucumber/cucumber_expressions/regular_expression_spec.rb".freeze, "spec/cucumber/cucumber_expressions/tree_regexp_spec.rb".freeze]
  s.homepage = "https://github.com/cucumber/cucumber-expressions-ruby#readme".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.3.10".freeze
  s.summary = "cucumber-expressions-14.0.0".freeze
  s.test_files = ["spec/capture_warnings.rb".freeze, "spec/cucumber/cucumber_expressions/argument_spec.rb".freeze, "spec/cucumber/cucumber_expressions/combinatorial_generated_expression_factory_test.rb".freeze, "spec/cucumber/cucumber_expressions/cucumber_expression_generator_spec.rb".freeze, "spec/cucumber/cucumber_expressions/cucumber_expression_parser_spec.rb".freeze, "spec/cucumber/cucumber_expressions/cucumber_expression_spec.rb".freeze, "spec/cucumber/cucumber_expressions/cucumber_expression_tokenizer_spec.rb".freeze, "spec/cucumber/cucumber_expressions/custom_parameter_type_spec.rb".freeze, "spec/cucumber/cucumber_expressions/expression_factory_spec.rb".freeze, "spec/cucumber/cucumber_expressions/parameter_type_registry_spec.rb".freeze, "spec/cucumber/cucumber_expressions/parameter_type_spec.rb".freeze, "spec/cucumber/cucumber_expressions/regular_expression_spec.rb".freeze, "spec/cucumber/cucumber_expressions/tree_regexp_spec.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0", ">= 13.0.6"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.10", ">= 3.10.0"])
  else
    s.add_dependency(%q<rake>.freeze, ["~> 13.0", ">= 13.0.6"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.10", ">= 3.10.0"])
  end
end

